<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for RServiceProfileList StructType
 * @subpackage Structs
 */
class RServiceProfileList extends AbstractStructBase
{
    /**
     * The profileName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $profileName;
    /**
     * The primary
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $primary;
    /**
     * The secondary
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $secondary;
    /**
     * The tertiary
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $tertiary;
    /**
     * The serverCertificateVerification
     * Meta information extracted from the WSDL
     * - documentation: Applicable only for Conferencing Profile
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $serverCertificateVerification;
    /**
     * The serviceProfileXml
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig
     */
    public $serviceProfileXml;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for RServiceProfileList
     * @uses RServiceProfileList::setProfileName()
     * @uses RServiceProfileList::setPrimary()
     * @uses RServiceProfileList::setSecondary()
     * @uses RServiceProfileList::setTertiary()
     * @uses RServiceProfileList::setServerCertificateVerification()
     * @uses RServiceProfileList::setServiceProfileXml()
     * @uses RServiceProfileList::setUuid()
     * @param string $profileName
     * @param string $primary
     * @param string $secondary
     * @param string $tertiary
     * @param string $serverCertificateVerification
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $serviceProfileXml
     * @param string $uuid
     */
    public function __construct($profileName = null, $primary = null, $secondary = null, $tertiary = null, $serverCertificateVerification = null, \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $serviceProfileXml = null, $uuid = null)
    {
        $this
            ->setProfileName($profileName)
            ->setPrimary($primary)
            ->setSecondary($secondary)
            ->setTertiary($tertiary)
            ->setServerCertificateVerification($serverCertificateVerification)
            ->setServiceProfileXml($serviceProfileXml)
            ->setUuid($uuid);
    }
    /**
     * Get profileName value
     * @return string|null
     */
    public function getProfileName()
    {
        return $this->profileName;
    }
    /**
     * Set profileName value
     * @param string $profileName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setProfileName($profileName = null)
    {
        $this->profileName = $profileName;
        return $this;
    }
    /**
     * Get primary value
     * @return string|null
     */
    public function getPrimary()
    {
        return $this->primary;
    }
    /**
     * Set primary value
     * @param string $primary
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setPrimary($primary = null)
    {
        $this->primary = $primary;
        return $this;
    }
    /**
     * Get secondary value
     * @return string|null
     */
    public function getSecondary()
    {
        return $this->secondary;
    }
    /**
     * Set secondary value
     * @param string $secondary
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setSecondary($secondary = null)
    {
        $this->secondary = $secondary;
        return $this;
    }
    /**
     * Get tertiary value
     * @return string|null
     */
    public function getTertiary()
    {
        return $this->tertiary;
    }
    /**
     * Set tertiary value
     * @param string $tertiary
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setTertiary($tertiary = null)
    {
        $this->tertiary = $tertiary;
        return $this;
    }
    /**
     * Get serverCertificateVerification value
     * @return string|null
     */
    public function getServerCertificateVerification()
    {
        return $this->serverCertificateVerification;
    }
    /**
     * Set serverCertificateVerification value
     * @param string $serverCertificateVerification
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setServerCertificateVerification($serverCertificateVerification = null)
    {
        $this->serverCertificateVerification = $serverCertificateVerification;
        return $this;
    }
    /**
     * Get serviceProfileXml value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig|null
     */
    public function getServiceProfileXml()
    {
        return $this->serviceProfileXml;
    }
    /**
     * Set serviceProfileXml value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $serviceProfileXml
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setServiceProfileXml(\\Losc\CucmBundle\Model\Webservice\StructType\XVendorConfig $serviceProfileXml = null)
    {
        $this->serviceProfileXml = $serviceProfileXml;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\RServiceProfileList
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
